/*-- IMPORTED-MAIN-COMMON-MODULES --*/

import { NgModule } from '@angular/core';

/*-- IMPORTED-ROUTING-MODULES --*/

import { RouterModule } from '@angular/router';

function Mobile() {
  var isMobile = {
    Android: function () {
      return navigator.userAgent.match(/Android/i);
    },
    BlackBerry: function () {
      return navigator.userAgent.match(/BlackBerry/i);
    },
    IOS: function () {
      return navigator.userAgent.match(/iPhone|iPad|iPod/i);
    },
    Opera: function () {
      return navigator.userAgent.match(/Opera Mini/i);
    },
    Windows: function () {
      return navigator.userAgent.match(/IEMobile/i) || navigator.userAgent.match(/WPDesktop/i);
    },
    any: function () {
      return (isMobile.Android() || isMobile.BlackBerry() || isMobile.IOS() || isMobile.Opera() || isMobile.Windows());
    }
  }
  return isMobile.any();
}

@NgModule({
  imports: [RouterModule.forRoot([
    {
      path: '',
      loadChildren: () => new Promise(
        resolve => {
          (require as any).ensure([], require => {
            if (Mobile()) {
              resolve(require('./app.mobile.module').AppMobileModule);
            }
            else {
             resolve(require('./app.desktop.module').AppDesktopModule);
            }
          })
        }
      )
    }
  ])],
  exports: [RouterModule]
})
export class AppRoutingModule { }
