/*-- IMPORTED-MAIN-COMMON-MODULES --*/

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

/*-- IMPORTED-ROUTING-MODULES --*/

import { AppRoutingModule } from './app-routing.module';

/*-- IMPORTED--DEVICE-MODULES --*/

import { AppDesktopModule } from '../modules/app.desktop.module';
import { AppMobileModule } from '../modules/app.mobile.module';

/*-- IMPORTED-PLUG-IN-MODULES --*/

import { MaterialModule } from './material.module';
import { FlexLayoutModule } from '@angular/flex-layout';

/*-- IMPORTED-COMPONENTS --*/

import { AppComponent } from '../components/app/app.component';


@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    AppRoutingModule,
    BrowserAnimationsModule,
    MaterialModule,
    BrowserModule,
    FlexLayoutModule ,
    AppRoutingModule,
    AppDesktopModule,
    AppMobileModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})


export class AppModule { }
